org.wildfly.swarm.config.security.manager

## Class DefaultDeploymentPermissions<T extends DefaultDeploymentPermissions<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.security.manager.DefaultDeploymentPermissions<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class DefaultDeploymentPermissions<T extends DefaultDeploymentPermissions<T>>
      extends HashMap

  The permissions that are to be granted to deployments
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDeploymentPermissions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `maximumPermission(Map value)` The maximum set of permissions that can be granted to a deployment or jars.
    `List<Map>` | `maximumPermissions()` The maximum set of permissions that can be granted to a deployment or jars.
    `T` | `maximumPermissions(List<Map> value)` The maximum set of permissions that can be granted to a deployment or jars.
    `T` | `maximumPermissions(Map... args)` The maximum set of permissions that can be granted to a deployment or jars.
    `T` | `minimumPermission(Map value)` The minimum set of permissions to be granted to a deployment or jars.
    `List<Map>` | `minimumPermissions()` The minimum set of permissions to be granted to a deployment or jars.
    `T` | `minimumPermissions(List<Map> value)` The minimum set of permissions to be granted to a deployment or jars.
    `T` | `minimumPermissions(Map... args)` The minimum set of permissions to be granted to a deployment or jars.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### DefaultDeploymentPermissions

          public DefaultDeploymentPermissions()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### maximumPermissions

          public List<Map> maximumPermissions()

      The maximum set of permissions that can be granted to a deployment or jars.

    - #### maximumPermissions

          public T maximumPermissions(List<Map> value)

      The maximum set of permissions that can be granted to a deployment or jars.

    - #### maximumPermission

          public T maximumPermission(Map value)

      The maximum set of permissions that can be granted to a deployment or jars.

    - #### maximumPermissions

          public T maximumPermissions(Map... args)

      The maximum set of permissions that can be granted to a deployment or jars.

    - #### minimumPermissions

          public List<Map> minimumPermissions()

      The minimum set of permissions to be granted to a deployment or jars.

    - #### minimumPermissions

          public T minimumPermissions(List<Map> value)

      The minimum set of permissions to be granted to a deployment or jars.

    - #### minimumPermission

          public T minimumPermission(Map value)

      The minimum set of permissions to be granted to a deployment or jars.

    - #### minimumPermissions

          public T minimumPermissions(Map... args)

      The minimum set of permissions to be granted to a deployment or jars.

Copyright © 2018 JBoss by Red Hat. All rights reserved.